<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KRandomSequence</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KRandomSequence Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>



<h2>Detailed Description</h2>

<p>\class KRandomSequence krandomsequence.h &lt;KRandomSequence&gt;
</p>
<p>
A class to create a pseudo-random sequence
</p>
<p>
Given a seed number, this class will produce a sequence of
pseudo-random numbers. This would typically be used in
applications like games.
</p>
<p>
In general, you should instantiate a KRandomSequence object and
pass along your seed number in the constructor. From then on,
simply call getDouble or getLong to obtain the next
number in the sequence.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Sean Harmer &lt;sh@astro.keele.ac.uk&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180164300">__init__</a> (self, long lngSeed=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180165612">__init__</a> (self, <a href="../kdecore/KRandomSequence.html">KRandomSequence</a> a)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180199116">getBool</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180195596">getDouble</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180196204">getLong</a> (self, long max)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180195948">modulate</a> (self, int i)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180199276">setSeed</a> (self, long lngSeed=0)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj180164300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>lngSeed=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a pseudo-random sequence based on the seed lngSeed.
</p>
<p>
A Pseudo-random sequence is different for each seed but can be
reproduced by starting the sequence with the same seed.
</p>
<p>
If you need a single value which needs to be unpredictable,
you need to use KRandom.random() instead.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>lngSeed</em>&nbsp;</td><td> Seed to initialize the sequence with.
If lngSeed is 0, the sequence is initialized with a value from
KRandom.random().
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180165612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KRandomSequence.html">KRandomSequence</a>&nbsp;</td>
<td class="paramname"><em>a</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Copy constructor
</p></div></div><a class="anchor" name="obj180199116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool getBool</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get a boolean from the pseudo-random sequence.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a boolean which is either true or false
</dd></dl>
</p></div></div><a class="anchor" name="obj180195596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">float getDouble</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Get the next number from the pseudo-random sequence.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a pseudo-random double value between [0,1)
</dd></dl>
</p></div></div><a class="anchor" name="obj180196204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long getLong</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>max</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Get the next number from the pseudo-random sequence.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a pseudo-random integer value between [0, max)
with 0 &lt;= max &lt; 1.000.000
</dd></dl>
</p></div></div><a class="anchor" name="obj180195948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> modulate</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>i</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Modulate the random sequence.
</p>
<p>
If S(i) is the sequence of numbers that will follow
given the current state after calling modulate(i),
then S(i) != S(j) for i != j and
S(i) == S(j) for i == j.
</p>
<p>
This can be useful in game situation where "undo" restores
the state of the random sequence. If the game modulates the
random sequence with the move chosen by the player, the
random sequence will be identical whenever the player "redo"-s
his or hers original move, but different when the player
chooses another move.
</p>
<p>
With this scenario "undo" can no longer be used to repeat a
certain move over and over again until the computer reacts
with a favorable response or to predict the response for a
certain move based on the response to another move.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>i</em>&nbsp;</td><td> the sequence identified
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj180199276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSeed</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>lngSeed=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Restart the sequence based on lngSeed.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>lngSeed</em>&nbsp;</td><td> Seed to initialize the sequence with.
If lngSeed is 0, the sequence is initialized with a value from
KRandom.random().
</td></tr>
</table></dl>
<p>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
